{% extends 'base_page.html' %}

{% block title %} {{ post.title }} {% endblock %}

{% block content %}
    <div style="max-width: 80%">
        <h1 class="title">{{ post.title }}</h1>

        {% if current_user.is_admin %}
            <hr>
            <a href="/toggle-post-visibility?post_id={{ post.id }}">
                <button class="button">{{ "Show" if post.hidden else "Hide" }}</button>
            </a>
            <a href="/post/{{ post.id }}/edit">
                <button class="button">Edit</button>
            </a>
            <hr>
        {% endif %}

        <div class="article_text">
            {{ post.text }}
        </div>

        {% for image in post.images %}
            <div class="article_image">
                <img src="{{ image.url }}" alt="">
            </div>
        {% endfor %}
        <div class="author_footer">
            <div>Author: {{ post.user.login }}</div>
            <div>{{ post.publish_date.strftime("%d-%m-%Y %H:%M:%S.%f") }}</div>
            <div>Likes: {{ len(post.likes) }}</div>
        </div>
        <hr>
        <a class="like_section" style="display: flex;justify-content: center;" href="/toggle-like-post?post_id={{ post.id }}">
            <button class="button">{{ "Unlike" if liked_by_user else "Like" }}</button>
        </a>
    </div>
{% endblock %}
